> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04c-titiler-api/stac-item.md).

# STAC Item

## Bounds

> Return the bounds of the COG.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/bounds":{"get":{"tags":["STAC Item"],"summary":"Bounds","description":"Return the bounds of the COG.","operationId":".collections.{collection_id}.items.{item_id}.getBounds","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Return dataset's bounds.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bounds"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Bounds":{"properties":{"bounds":{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4,"title":"Bounds"},"crs":{"type":"string","title":"Crs"}},"type":"object","required":["bounds","crs"],"title":"Bounds","description":"Dataset Bounding box"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Info

> Return dataset's basic info or the list of available assets.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/info":{"get":{"tags":["STAC Item"],"summary":"Info","description":"Return dataset's basic info or the list of available assets.","operationId":".collections.{collection_id}.items.{item_id}.getInfo","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."}],"responses":{"200":{"description":"Return dataset's basic info or the list of available assets.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/rio_tiler__models__Info"},"title":"Response .Collections.{Collection Id}.Items.{Item Id}.Getinfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"rio_tiler__models__Info":{"properties":{"bounds":{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4,"title":"Bounds"},"crs":{"type":"string","title":"Crs"},"band_metadata":{"items":{"prefixItems":[{"type":"string"},{"additionalProperties":true,"type":"object"}],"type":"array","maxItems":2,"minItems":2},"type":"array","title":"Band Metadata"},"band_descriptions":{"items":{"prefixItems":[{"type":"string"},{"type":"string"}],"type":"array","maxItems":2,"minItems":2},"type":"array","title":"Band Descriptions"},"dtype":{"type":"string","title":"Dtype"},"nodata_type":{"type":"string","enum":["Alpha","Mask","Internal","Nodata","None"],"title":"Nodata Type"},"colorinterp":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Colorinterp"},"scales":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"title":"Scales"},"offsets":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"title":"Offsets"},"colormap":{"anyOf":[{"additionalProperties":{"prefixItems":[{"type":"integer"},{"type":"integer"},{"type":"integer"},{"type":"integer"}],"type":"array","maxItems":4,"minItems":4},"type":"object"},{"type":"null"}],"title":"Colormap"}},"additionalProperties":true,"type":"object","required":["bounds","crs","band_metadata","band_descriptions","dtype","nodata_type"],"title":"Info","description":"Dataset Info."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Info Geojson

> Return dataset's basic info as a GeoJSON feature.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/info.geojson":{"get":{"tags":["STAC Item"],"summary":"Info Geojson","description":"Return dataset's basic info as a GeoJSON feature.","operationId":".collections.{collection_id}.items.{item_id}.getInfoGeoJSON","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Return dataset's basic info as a GeoJSON feature.","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Feature_Union_Polygon__MultiPolygon___Dict_str__Info__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Feature_Union_Polygon__MultiPolygon___Dict_str__Info__":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Feature","title":"Type"},"geometry":{"anyOf":[{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPolygon"},{"type":"null"}],"title":"Geometry"},"properties":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/rio_tiler__models__Info"},"type":"object"},{"type":"null"}],"title":"Properties"},"id":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Id"}},"type":"object","required":["type","geometry","properties"],"title":"Feature[Union[Polygon, MultiPolygon], Dict[str, Info]]"},"Polygon":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Polygon","title":"Type"},"coordinates":{"items":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":4},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"Polygon","description":"Polygon Model"},"Position2D":{"prefixItems":[{"type":"number","title":"Longitude"},{"type":"number","title":"Latitude"}],"type":"array","maxItems":2,"minItems":2},"Position3D":{"prefixItems":[{"type":"number","title":"Longitude"},{"type":"number","title":"Latitude"},{"type":"number","title":"Altitude"}],"type":"array","maxItems":3,"minItems":3},"MultiPolygon":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"MultiPolygon","title":"Type"},"coordinates":{"items":{"items":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":4},"type":"array"},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"MultiPolygon","description":"MultiPolygon Model"},"rio_tiler__models__Info":{"properties":{"bounds":{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4,"title":"Bounds"},"crs":{"type":"string","title":"Crs"},"band_metadata":{"items":{"prefixItems":[{"type":"string"},{"additionalProperties":true,"type":"object"}],"type":"array","maxItems":2,"minItems":2},"type":"array","title":"Band Metadata"},"band_descriptions":{"items":{"prefixItems":[{"type":"string"},{"type":"string"}],"type":"array","maxItems":2,"minItems":2},"type":"array","title":"Band Descriptions"},"dtype":{"type":"string","title":"Dtype"},"nodata_type":{"type":"string","enum":["Alpha","Mask","Internal","Nodata","None"],"title":"Nodata Type"},"colorinterp":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Colorinterp"},"scales":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"title":"Scales"},"offsets":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"title":"Offsets"},"colormap":{"anyOf":[{"additionalProperties":{"prefixItems":[{"type":"integer"},{"type":"integer"},{"type":"integer"},{"type":"integer"}],"type":"array","maxItems":4,"minItems":4},"type":"object"},{"type":"null"}],"title":"Colormap"}},"additionalProperties":true,"type":"object","required":["bounds","crs","band_metadata","band_descriptions","dtype","nodata_type"],"title":"Info","description":"Dataset Info."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Available Assets

> Return a list of supported assets.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/assets":{"get":{"tags":["STAC Item"],"summary":"Available Assets","description":"Return a list of supported assets.","operationId":".collections.{collection_id}.items.{item_id}.getAssets","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"}],"responses":{"200":{"description":"Return a list of supported assets.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Response .Collections.{Collection Id}.Items.{Item Id}.Getassets"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Asset Statistics

> Per Asset statistics

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/asset_statistics":{"get":{"tags":["STAC Item"],"summary":"Asset Statistics","description":"Per Asset statistics","operationId":".collections.{collection_id}.items.{item_id}.getAssetsStatistics","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."},{"name":"asset_bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Per asset band indexes","description":"Per asset band indexes"},"description":"Per asset band indexes"},{"name":"asset_expression","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Per asset band expression","description":"Per asset band expression"},"description":"Per asset band expression"},{"name":"nodata","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Nodata value","description":"Overwrite internal Nodata value"},"description":"Overwrite internal Nodata value"},{"name":"unscale","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Apply internal Scale/Offset","description":"Apply internal Scale/Offset. Defaults to `False`."},"description":"Apply internal Scale/Offset. Defaults to `False`."},{"name":"resampling","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","gauss","rms"],"type":"string"},{"type":"null"}],"description":"RasterIO resampling algorithm. Defaults to `nearest`.","title":"Resampling"},"description":"RasterIO resampling algorithm. Defaults to `nearest`."},{"name":"reproject","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","max","min","med","q1","q3","sum","rms"],"type":"string"},{"type":"null"}],"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`.","title":"Reproject"},"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`."},{"name":"max_size","in":"query","required":false,"schema":{"type":"integer","description":"Maximum image size to read onto.","default":1024,"title":"Max Size"}},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image height.","title":"Height"}},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image width.","title":"Width"}},{"name":"categorical","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Return statistics for categorical dataset. Defaults to `False`","title":"Categorical"},"description":"Return statistics for categorical dataset. Defaults to `False`"},{"name":"c","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"anyOf":[{"type":"number"},{"type":"integer"}]}},{"type":"null"}],"title":"Pixels values for categories.","description":"List of values for which to report counts."},"description":"List of values for which to report counts."},{"name":"p","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Percentile values","description":"List of percentile values (default to [2, 98])."},"description":"List of percentile values (default to [2, 98])."},{"name":"histogram_bins","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram bins.","description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},{"name":"histogram_range","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram range","description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "}],"responses":{"200":{"description":"Return dataset's statistics.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/BandStatistics"}},"title":"Response .Collections.{Collection Id}.Items.{Item Id}.Getassetsstatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BandStatistics":{"properties":{"min":{"type":"number","title":"Min"},"max":{"type":"number","title":"Max"},"mean":{"type":"number","title":"Mean"},"count":{"type":"number","title":"Count"},"sum":{"type":"number","title":"Sum"},"std":{"type":"number","title":"Std"},"median":{"type":"number","title":"Median"},"majority":{"type":"number","title":"Majority"},"minority":{"type":"number","title":"Minority"},"unique":{"type":"number","title":"Unique"},"histogram":{"items":{"items":{"anyOf":[{"type":"number"},{"type":"integer"}]},"type":"array"},"type":"array","title":"Histogram"},"valid_percent":{"type":"number","title":"Valid Percent"},"masked_pixels":{"type":"number","title":"Masked Pixels"},"valid_pixels":{"type":"number","title":"Valid Pixels"}},"additionalProperties":true,"type":"object","required":["min","max","mean","count","sum","std","median","majority","minority","unique","histogram","valid_percent","masked_pixels","valid_pixels"],"title":"BandStatistics","description":"Band statistics"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Statistics

> Merged assets statistics.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/statistics":{"get":{"tags":["STAC Item"],"summary":"Statistics","description":"Merged assets statistics.","operationId":".collections.{collection_id}.items.{item_id}.getStatistics","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."},{"name":"expression","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Band Math expression","description":"Band math expression between assets"},"description":"Band math expression between assets"},{"name":"asset_bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Per asset band indexes","description":"Per asset band indexes (coma separated indexes)"},"description":"Per asset band indexes (coma separated indexes)"},{"name":"asset_as_band","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consider asset as a 1 band dataset","description":"Asset as Band"},"description":"Asset as Band"},{"name":"nodata","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Nodata value","description":"Overwrite internal Nodata value"},"description":"Overwrite internal Nodata value"},{"name":"unscale","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Apply internal Scale/Offset","description":"Apply internal Scale/Offset. Defaults to `False`."},"description":"Apply internal Scale/Offset. Defaults to `False`."},{"name":"resampling","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","gauss","rms"],"type":"string"},{"type":"null"}],"description":"RasterIO resampling algorithm. Defaults to `nearest`.","title":"Resampling"},"description":"RasterIO resampling algorithm. Defaults to `nearest`."},{"name":"reproject","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","max","min","med","q1","q3","sum","rms"],"type":"string"},{"type":"null"}],"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`.","title":"Reproject"},"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`."},{"name":"max_size","in":"query","required":false,"schema":{"type":"integer","description":"Maximum image size to read onto.","default":1024,"title":"Max Size"}},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image height.","title":"Height"}},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image width.","title":"Width"}},{"name":"algorithm","in":"query","required":false,"schema":{"enum":["hillshade","slope","contours","normalizedIndex","terrarium","terrainrgb","cast","ceil","floor","min","max","median","mean","std","var"],"type":"string","description":"Algorithm name","title":"Algorithm"},"description":"Algorithm name"},{"name":"algorithm_params","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Algorithm parameter","title":"Algorithm Params"},"description":"Algorithm parameter"},{"name":"categorical","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Return statistics for categorical dataset. Defaults to `False`","title":"Categorical"},"description":"Return statistics for categorical dataset. Defaults to `False`"},{"name":"c","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"anyOf":[{"type":"number"},{"type":"integer"}]}},{"type":"null"}],"title":"Pixels values for categories.","description":"List of values for which to report counts."},"description":"List of values for which to report counts."},{"name":"p","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Percentile values","description":"List of percentile values (default to [2, 98])."},"description":"List of percentile values (default to [2, 98])."},{"name":"histogram_bins","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram bins.","description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},{"name":"histogram_range","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram range","description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "}],"responses":{"200":{"description":"Return dataset's statistics.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/BandStatistics"},"title":"Response .Collections.{Collection Id}.Items.{Item Id}.Getstatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BandStatistics":{"properties":{"min":{"type":"number","title":"Min"},"max":{"type":"number","title":"Max"},"mean":{"type":"number","title":"Mean"},"count":{"type":"number","title":"Count"},"sum":{"type":"number","title":"Sum"},"std":{"type":"number","title":"Std"},"median":{"type":"number","title":"Median"},"majority":{"type":"number","title":"Majority"},"minority":{"type":"number","title":"Minority"},"unique":{"type":"number","title":"Unique"},"histogram":{"items":{"items":{"anyOf":[{"type":"number"},{"type":"integer"}]},"type":"array"},"type":"array","title":"Histogram"},"valid_percent":{"type":"number","title":"Valid Percent"},"masked_pixels":{"type":"number","title":"Masked Pixels"},"valid_pixels":{"type":"number","title":"Valid Pixels"}},"additionalProperties":true,"type":"object","required":["min","max","mean","count","sum","std","median","majority","minority","unique","histogram","valid_percent","masked_pixels","valid_pixels"],"title":"BandStatistics","description":"Band statistics"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Geojson Statistics

> Get Statistics from a geojson feature or featureCollection.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/statistics":{"post":{"tags":["STAC Item"],"summary":"Geojson Statistics","description":"Get Statistics from a geojson feature or featureCollection.","operationId":".collections.{collection_id}.items.{item_id}.postStatisticsForGeoJSON","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."},{"name":"expression","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Band Math expression","description":"Band math expression between assets"},"description":"Band math expression between assets"},{"name":"asset_bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Per asset band indexes","description":"Per asset band indexes (coma separated indexes)"},"description":"Per asset band indexes (coma separated indexes)"},{"name":"asset_as_band","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consider asset as a 1 band dataset","description":"Asset as Band"},"description":"Asset as Band"},{"name":"nodata","in":"query","required":false,"schema":{"anyOf":[{"type":"number"},{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Nodata value","description":"Overwrite internal Nodata value"},"description":"Overwrite internal Nodata value"},{"name":"unscale","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Apply internal Scale/Offset","description":"Apply internal Scale/Offset. Defaults to `False`."},"description":"Apply internal Scale/Offset. Defaults to `False`."},{"name":"resampling","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","gauss","rms"],"type":"string"},{"type":"null"}],"description":"RasterIO resampling algorithm. Defaults to `nearest`.","title":"Resampling"},"description":"RasterIO resampling algorithm. Defaults to `nearest`."},{"name":"reproject","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","max","min","med","q1","q3","sum","rms"],"type":"string"},{"type":"null"}],"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`.","title":"Reproject"},"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`."},{"name":"coord_crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System of the input coords. Default to `epsg:4326`.","title":"Coord Crs"},"description":"Coordinate Reference System of the input coords. Default to `epsg:4326`."},{"name":"dst_crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Output Coordinate Reference System.","title":"Dst Crs"},"description":"Output Coordinate Reference System."},{"name":"algorithm","in":"query","required":false,"schema":{"enum":["hillshade","slope","contours","normalizedIndex","terrarium","terrainrgb","cast","ceil","floor","min","max","median","mean","std","var"],"type":"string","description":"Algorithm name","title":"Algorithm"},"description":"Algorithm name"},{"name":"algorithm_params","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Algorithm parameter","title":"Algorithm Params"},"description":"Algorithm parameter"},{"name":"max_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Maximum image size to read onto.","title":"Max Size"}},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image height.","title":"Height"}},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Force output image width.","title":"Width"}},{"name":"categorical","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Return statistics for categorical dataset. Defaults to `False`","title":"Categorical"},"description":"Return statistics for categorical dataset. Defaults to `False`"},{"name":"c","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"anyOf":[{"type":"number"},{"type":"integer"}]}},{"type":"null"}],"title":"Pixels values for categories.","description":"List of values for which to report counts."},"description":"List of values for which to report counts."},{"name":"p","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Percentile values","description":"List of percentile values (default to [2, 98])."},"description":"List of percentile values (default to [2, 98])."},{"name":"histogram_bins","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram bins.","description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},{"name":"histogram_range","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram range","description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/FeatureCollection"},{"$ref":"#/components/schemas/Feature"}],"description":"GeoJSON Feature or FeatureCollection.","title":"Geojson"}}}},"responses":{"200":{"description":"Return dataset's statistics from feature or featureCollection.","content":{"application/geo+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/FeatureCollection_Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON__"},{"$ref":"#/components/schemas/Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON_"}],"title":"Response .Collections.{Collection Id}.Items.{Item Id}.Poststatisticsforgeojson"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"FeatureCollection":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"FeatureCollection","title":"Type"},"features":{"items":{"$ref":"#/components/schemas/Feature"},"type":"array","title":"Features"}},"type":"object","required":["type","features"],"title":"FeatureCollection","description":"FeatureCollection Model"},"Feature":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Feature","title":"Type"},"geometry":{"anyOf":[{"oneOf":[{"$ref":"#/components/schemas/geojson_pydantic__geometries__Point"},{"$ref":"#/components/schemas/MultiPoint"},{"$ref":"#/components/schemas/LineString"},{"$ref":"#/components/schemas/MultiLineString"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPolygon"},{"$ref":"#/components/schemas/GeometryCollection-Input"}],"discriminator":{"propertyName":"type","mapping":{"GeometryCollection":"#/components/schemas/GeometryCollection-Input","LineString":"#/components/schemas/LineString","MultiLineString":"#/components/schemas/MultiLineString","MultiPoint":"#/components/schemas/MultiPoint","MultiPolygon":"#/components/schemas/MultiPolygon","Point":"#/components/schemas/Point-Input","Polygon":"#/components/schemas/Polygon"}}},{"type":"null"}],"title":"Geometry"},"properties":{"anyOf":[{"additionalProperties":true,"type":"object"},{"$ref":"#/components/schemas/BaseModel"},{"type":"null"}],"title":"Properties"},"id":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Id"}},"type":"object","required":["type","geometry","properties"],"title":"Feature","description":"Feature Model"},"geojson_pydantic__geometries__Point":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Point","title":"Type"},"coordinates":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}],"title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"Point","description":"Point Model"},"Position2D":{"prefixItems":[{"type":"number","title":"Longitude"},{"type":"number","title":"Latitude"}],"type":"array","maxItems":2,"minItems":2},"Position3D":{"prefixItems":[{"type":"number","title":"Longitude"},{"type":"number","title":"Latitude"},{"type":"number","title":"Altitude"}],"type":"array","maxItems":3,"minItems":3},"MultiPoint":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"MultiPoint","title":"Type"},"coordinates":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"MultiPoint","description":"MultiPoint Model"},"LineString":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"LineString","title":"Type"},"coordinates":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":2,"title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"LineString","description":"LineString Model"},"MultiLineString":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"MultiLineString","title":"Type"},"coordinates":{"items":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":2},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"MultiLineString","description":"MultiLineString Model"},"Polygon":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Polygon","title":"Type"},"coordinates":{"items":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":4},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"Polygon","description":"Polygon Model"},"MultiPolygon":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"MultiPolygon","title":"Type"},"coordinates":{"items":{"items":{"items":{"anyOf":[{"$ref":"#/components/schemas/Position2D"},{"$ref":"#/components/schemas/Position3D"}]},"type":"array","minItems":4},"type":"array"},"type":"array","title":"Coordinates"}},"type":"object","required":["type","coordinates"],"title":"MultiPolygon","description":"MultiPolygon Model"},"GeometryCollection-Input":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"GeometryCollection","title":"Type"},"geometries":{"items":{"oneOf":[{"$ref":"#/components/schemas/geojson_pydantic__geometries__Point"},{"$ref":"#/components/schemas/MultiPoint"},{"$ref":"#/components/schemas/LineString"},{"$ref":"#/components/schemas/MultiLineString"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPolygon"},{"$ref":"#/components/schemas/GeometryCollection-Input"}],"discriminator":{"propertyName":"type","mapping":{"GeometryCollection":"#/components/schemas/GeometryCollection-Input","LineString":"#/components/schemas/LineString","MultiLineString":"#/components/schemas/MultiLineString","MultiPoint":"#/components/schemas/MultiPoint","MultiPolygon":"#/components/schemas/MultiPolygon","Point":"#/components/schemas/Point-Input","Polygon":"#/components/schemas/Polygon"}}},"type":"array","title":"Geometries"}},"type":"object","required":["type","geometries"],"title":"GeometryCollection","description":"GeometryCollection Model"},"BaseModel":{"properties":{},"type":"object","title":"BaseModel"},"FeatureCollection_Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON__":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"FeatureCollection","title":"Type"},"features":{"items":{"$ref":"#/components/schemas/Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON_"},"type":"array","title":"Features"}},"type":"object","required":["type","features"],"title":"FeatureCollection[Feature[Annotated[Union[Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, GeometryCollection], FieldInfo(annotation=NoneType, required=True, discriminator='type')], StatisticsInGeoJSON]]"},"Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON_":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"Feature","title":"Type"},"geometry":{"anyOf":[{"oneOf":[{"$ref":"#/components/schemas/geojson_pydantic__geometries__Point"},{"$ref":"#/components/schemas/MultiPoint"},{"$ref":"#/components/schemas/LineString"},{"$ref":"#/components/schemas/MultiLineString"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPolygon"},{"$ref":"#/components/schemas/GeometryCollection-Output"}],"discriminator":{"propertyName":"type","mapping":{"GeometryCollection":"#/components/schemas/GeometryCollection-Output","LineString":"#/components/schemas/LineString","MultiLineString":"#/components/schemas/MultiLineString","MultiPoint":"#/components/schemas/MultiPoint","MultiPolygon":"#/components/schemas/MultiPolygon","Point":"#/components/schemas/geojson_pydantic__geometries__Point","Polygon":"#/components/schemas/Polygon"}}},{"type":"null"}],"title":"Geometry"},"properties":{"anyOf":[{"$ref":"#/components/schemas/StatisticsInGeoJSON"},{"type":"null"}]},"id":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Id"}},"type":"object","required":["type","geometry","properties"],"title":"Feature[Annotated[Union[Point, MultiPoint, LineString, MultiLineString, Polygon, MultiPolygon, GeometryCollection], FieldInfo(annotation=NoneType, required=True, discriminator='type')], StatisticsInGeoJSON]"},"GeometryCollection-Output":{"properties":{"bbox":{"anyOf":[{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":4,"minItems":4},{"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array","maxItems":6,"minItems":6},{"type":"null"}],"title":"Bbox"},"type":{"type":"string","const":"GeometryCollection","title":"Type"},"geometries":{"items":{"oneOf":[{"$ref":"#/components/schemas/geojson_pydantic__geometries__Point"},{"$ref":"#/components/schemas/MultiPoint"},{"$ref":"#/components/schemas/LineString"},{"$ref":"#/components/schemas/MultiLineString"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPolygon"},{"$ref":"#/components/schemas/GeometryCollection-Output"}],"discriminator":{"propertyName":"type","mapping":{"GeometryCollection":"#/components/schemas/GeometryCollection-Output","LineString":"#/components/schemas/LineString","MultiLineString":"#/components/schemas/MultiLineString","MultiPoint":"#/components/schemas/MultiPoint","MultiPolygon":"#/components/schemas/MultiPolygon","Point":"#/components/schemas/geojson_pydantic__geometries__Point","Polygon":"#/components/schemas/Polygon"}}},"type":"array","title":"Geometries"}},"type":"object","required":["type","geometries"],"title":"GeometryCollection","description":"GeometryCollection Model"},"StatisticsInGeoJSON":{"properties":{"statistics":{"additionalProperties":{"$ref":"#/components/schemas/BandStatistics"},"type":"object","title":"Statistics"}},"additionalProperties":true,"type":"object","required":["statistics"],"title":"StatisticsInGeoJSON","description":"Statistics model in geojson response."},"BandStatistics":{"properties":{"min":{"type":"number","title":"Min"},"max":{"type":"number","title":"Max"},"mean":{"type":"number","title":"Mean"},"count":{"type":"number","title":"Count"},"sum":{"type":"number","title":"Sum"},"std":{"type":"number","title":"Std"},"median":{"type":"number","title":"Median"},"majority":{"type":"number","title":"Majority"},"minority":{"type":"number","title":"Minority"},"unique":{"type":"number","title":"Unique"},"histogram":{"items":{"items":{"anyOf":[{"type":"number"},{"type":"integer"}]},"type":"array"},"type":"array","title":"Histogram"},"valid_percent":{"type":"number","title":"Valid Percent"},"masked_pixels":{"type":"number","title":"Masked Pixels"},"valid_pixels":{"type":"number","title":"Valid Pixels"}},"additionalProperties":true,"type":"object","required":["min","max","mean","count","sum","std","median","majority","minority","unique","histogram","valid_percent","masked_pixels","valid_pixels"],"title":"BandStatistics","description":"Band statistics"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Retrieve a list of available raster tilesets for the specified dataset.

> Retrieve a list of available raster tilesets for the specified dataset.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/tiles":{"get":{"tags":["STAC Item"],"summary":"Retrieve a list of available raster tilesets for the specified dataset.","description":"Retrieve a list of available raster tilesets for the specified dataset.","operationId":".collections.{collection_id}.items.{item_id}.getTileSetList","parameters":[{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileSetList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"TileSetList":{"properties":{"tilesets":{"items":{"$ref":"#/components/schemas/TileSet"},"type":"array","title":"Tilesets"}},"type":"object","required":["tilesets"],"title":"TileSetList","description":"TileSetList model.\n\nBased on https://docs.ogc.org/is/20-057/20-057.html#toc34"},"TileSet":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"A title for this tileset"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile set"},"dataType":{"type":"string","enum":["map","vector","coverage"],"title":"Datatype","description":"Type of data represented in the tileset"},"crs":{"$ref":"#/components/schemas/CRS"},"tileMatrixSetURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Tilematrixseturi","description":"Reference to a Tile Matrix Set on an official source for Tile Matrix Sets"},"links":{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","title":"Links","description":"Links to related resources"},"tileMatrixSetLimits":{"anyOf":[{"items":{"$ref":"#/components/schemas/TileMatrixLimits"},"type":"array"},{"type":"null"}],"title":"Tilematrixsetlimits","description":"Limits for the TileRow and TileCol values for each TileMatrix in the tileMatrixSet. If missing, there are no limits other that the ones imposed by the TileMatrixSet. If present the TileMatrices listed are limited and the rest not available at all"},"epoch":{"anyOf":[{"type":"number"},{"type":"integer"},{"type":"null"}],"title":"Epoch","description":"Epoch of the Coordinate Reference System (CRS)"},"layers":{"anyOf":[{"items":{"$ref":"#/components/schemas/GeospatialData"},"type":"array","minItems":1},{"type":"null"}],"title":"Layers"},"boundingBox":{"anyOf":[{"$ref":"#/components/schemas/BoundingBox"},{"type":"null"}]},"centerPoint":{"anyOf":[{"$ref":"#/components/schemas/TilePoint"},{"type":"null"}]},"style":{"anyOf":[{"$ref":"#/components/schemas/Style"},{"type":"null"}]},"attribution":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Attribution","description":"Short reference to recognize the author or provider"},"license":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"License","description":"License applicable to the tiles"},"accessConstraints":{"anyOf":[{"type":"string","enum":["unclassified","restricted","confidential","secret","topSecret"]},{"type":"null"}],"title":"Accessconstraints","description":"Restrictions on the availability of the Tile Set that the user needs to be aware of before using or redistributing the Tile Set","default":"unclassified"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"keywords about this tileset"},"version":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version","description":"Version of the Tile Set. Changes if the data behind the tiles has been changed"},"created":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"updated":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"pointOfContact":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointofcontact","description":"Useful information to contact the authors or custodians for the Tile Set"},"mediaTypes":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Mediatypes","description":"Media types available for the tiles"}},"type":"object","required":["dataType","crs","links"],"title":"TileSet","description":"TileSet model.\n\nBased on https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tileSet.yaml"},"CRS":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/CRSUri"},{"$ref":"#/components/schemas/CRSWKT"},{"$ref":"#/components/schemas/CRSRef"}],"title":"CRS","description":"CRS model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-geodata/crs.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"CRSUri":{"properties":{"uri":{"type":"string","minLength":1,"format":"uri","title":"Uri","description":"Reference to one coordinate reference system (CRS) as URI","exemples":["http://www.opengis.net/def/crs/EPSG/0/3978","urn:ogc:def:crs:EPSG::2193"]}},"type":"object","required":["uri"],"title":"CRSUri","description":"Coordinate Reference System (CRS) from URI."},"CRSWKT":{"properties":{"wkt":{"additionalProperties":true,"type":"object","title":"Wkt","description":"An object defining the CRS using the JSON encoding for Well-known text representation of coordinate reference systems 2.0"}},"type":"object","required":["wkt"],"title":"CRSWKT","description":"Coordinate Reference System (CRS) from WKT encoded as PROJJSON Object."},"CRSRef":{"properties":{"referenceSystem":{"additionalProperties":true,"type":"object","title":"Referencesystem","description":"A reference system data structure as defined in the MD_ReferenceSystem of the ISO 19115"}},"type":"object","required":["referenceSystem"],"title":"CRSRef","description":"CRS from referenceSystem."},"titiler__core__models__OGC__Link":{"properties":{"href":{"type":"string","title":"Href","description":"Supplies the URI to a remote resource (or resource fragment)."},"rel":{"type":"string","title":"Rel","description":"The type or semantics of the relation."},"type":{"anyOf":[{"$ref":"#/components/schemas/MediaType"},{"type":"null"}],"description":"A hint indicating what the media type of the result of dereferencing the link should be."},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Templated","description":"This flag set to true if the link is a URL template."},"varBase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Varbase","description":"A base path to retrieve semantic information about the variables used in URL template."},"hreflang":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hreflang","description":"A hint indicating what the language of the result of dereferencing the link should be."},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Used to label the destination of a link such that it can be used as a human-readable identifier."},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Length"}},"type":"object","required":["href","rel"],"title":"Link","description":"Link model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-core/link.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"MediaType":{"type":"string","enum":["image/tiff; application=geotiff","image/jp2","image/png","image/png","image/jpeg","image/jpg","image/webp","application/x-binary","application/xml","application/json","application/geo+json","text/html","text/plain","application/x-protobuf","application/vnd.mapbox-vector-tile","application/ndjson","application/geo+json-seq","application/schema+json","text/csv","application/vnd.oai.openapi+json;version=3.0","application/vnd.oai.openapi;version=3.0","image/gif"],"title":"MediaType","description":"Responses Media types formerly known as MIME types."},"TileMatrixLimits":{"properties":{"tileMatrix":{"type":"string","title":"Tilematrix"},"minTileRow":{"type":"integer","minimum":0,"title":"Mintilerow"},"maxTileRow":{"type":"integer","minimum":0,"title":"Maxtilerow"},"minTileCol":{"type":"integer","minimum":0,"title":"Mintilecol"},"maxTileCol":{"type":"integer","minimum":0,"title":"Maxtilecol"}},"type":"object","required":["tileMatrix","minTileRow","maxTileRow","minTileCol","maxTileCol"],"title":"TileMatrixLimits","description":"The limits for an individual tile matrix of a TileSet's TileMatrixSet, as defined in the OGC 2D TileMatrixSet and TileSet Metadata Standard\n\nBased on https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tileMatrixLimits.yaml"},"GeospatialData":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Title of this tile matrix set, normally used for display to a human"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile matrix set, normally available for display to a human"},"keywords":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Keywords","description":"Unordered list of one or more commonly used or formalized word(s) or phrase(s) used to describe this layer"},"id":{"type":"string","title":"Id","description":"Unique identifier of the Layer. Implementation of 'identifier'"},"dataType":{"type":"string","enum":["map","vector","coverage"],"title":"Datatype","description":"Type of data represented in the tileset"},"geometryDimension":{"anyOf":[{"type":"integer","maximum":3,"minimum":0},{"type":"null"}],"title":"Geometrydimension","description":"The geometry dimension of the features shown in this layer (0: points, 1: curves, 2: surfaces, 3: solids), unspecified: mixed or unknown"},"featureType":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Featuretype","description":"Feature type identifier. Only applicable to layers of datatype 'geometries'"},"attribution":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Attribution","description":"Short reference to recognize the author or provider"},"license":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"License","description":"License applicable to the tiles"},"pointOfContact":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointofcontact","description":"Useful information to contact the authors or custodians for the layer (e.g. e-mail address, a physical address,  phone numbers, etc)"},"publisher":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publisher","description":"Organization or individual responsible for making the layer available"},"theme":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Theme","description":"Category where the layer can be grouped"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"epoch":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Epoch","description":"Epoch of the Coordinate Reference System (CRS)"},"minScaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minscaledenominator","description":"Minimum scale denominator for usage of the layer"},"maxScaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maxscaledenominator","description":"Maximum scale denominator for usage of the layer"},"minCellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Mincellsize","description":"Minimum cell size for usage of the layer"},"maxCellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maxcellsize","description":"Maximum cell size for usage of the layer"},"maxTileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Maxtilematrix","description":"TileMatrix identifier associated with the minScaleDenominator"},"minTileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mintilematrix","description":"TileMatrix identifier associated with the maxScaleDenominator"},"boundingBox":{"anyOf":[{"$ref":"#/components/schemas/BoundingBox"},{"type":"null"}]},"created":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"updated":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"style":{"anyOf":[{"$ref":"#/components/schemas/Style"},{"type":"null"}]},"geoDataClasses":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Geodataclasses","description":"URI identifying a class of data contained in this layer (useful to determine compatibility with styles or processes)"},"propertiesSchema":{"anyOf":[{"$ref":"#/components/schemas/PropertiesSchema"},{"type":"null"}]},"links":{"anyOf":[{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","minItems":1},{"type":"null"}],"title":"Links","description":"Links related to this layer. Possible link 'rel' values are: 'geodata' for a URL pointing to the collection of geospatial data."}},"type":"object","required":["id","dataType"],"title":"GeospatialData","description":"Geospatial model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/geospatialData.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"BoundingBox":{"properties":{"lowerLeft":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Lowerleft","description":"A 2D Point in the CRS indicated elsewhere"},"upperRight":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Upperright","description":"A 2D Point in the CRS indicated elsewhere"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"orderedAxes":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":2,"minItems":2},{"type":"null"}],"title":"Orderedaxes"}},"type":"object","required":["lowerLeft","upperRight"],"title":"BoundingBox","description":"BoundingBox model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/2DBoundingBox.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"TimeStamp":{"type":"string","format":"date-time","title":"TimeStamp","description":"This property indicates the time and date when the response was generated using RFC 3339 notation."},"Style":{"properties":{"id":{"type":"string","title":"Id","description":"An identifier for this style. Implementation of 'identifier'"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"A title for this style"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this style"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"keywords about this style"},"links":{"anyOf":[{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","minItems":1},{"type":"null"}],"title":"Links","description":"Links to style related resources. Possible link 'rel' values are: 'style' for a URL pointing to the style description, 'styleSpec' for a URL pointing to the specification or standard used to define the style."}},"type":"object","required":["id"],"title":"Style","description":"Style model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/style.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"PropertiesSchema":{"properties":{"type":{"type":"string","const":"object","title":"Type"},"required":{"anyOf":[{"items":{"type":"string"},"type":"array","minItems":1},{"type":"null"}],"title":"Required","description":"Implements 'multiplicity' by citing property 'name' defined as 'additionalProperties'"},"properties":{"additionalProperties":{"$ref":"#/components/schemas/Properties"},"type":"object","title":"Properties"}},"type":"object","required":["type","properties"],"title":"PropertiesSchema","description":"PropertiesSchema model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/propertiesSchema.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"Properties":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Implements 'description'"},"type":{"anyOf":[{"type":"string","enum":["array","boolean","integer","null","number","object","string"]},{"type":"null"}],"title":"Type"},"enum":{"anyOf":[{"items":{},"type":"array","minItems":1,"uniqueItems":true},{"type":"null"}],"title":"Enum","description":"Implements 'acceptedValues'"},"format":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Format","description":"Complements implementation of 'type'"},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contentmediatype","description":"Implements 'mediaType'"},"maximum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maximum","description":"Implements 'range'"},"exclusiveMaximum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Exclusivemaximum","description":"Implements 'range'"},"minimum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minimum","description":"Implements 'range'"},"exclusiveMinimum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Exclusiveminimum","description":"Implements 'range'"},"pattern":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pattern"},"maxItems":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"title":"Maxitems","description":"Implements 'upperMultiplicity'"},"minItems":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"title":"Minitems","description":"Implements 'lowerMultiplicity'","default":0},"observedProperty":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Observedproperty"},"observedPropertyURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Observedpropertyuri"},"uom":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Uom"},"uomURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Uomuri"}},"type":"object","title":"Properties","description":"Properties model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/propertiesSchema.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"TilePoint":{"properties":{"coordinates":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Coordinates"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"tileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tilematrix","description":"TileMatrix identifier associated with the scaleDenominator"},"scaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Scaledenominator","description":"Scale denominator of the tile matrix selected"},"cellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Cellsize","description":"Cell size of the tile matrix selected"}},"type":"object","required":["coordinates","crs"],"title":"TilePoint","description":"TilePoint model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tilePoint.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).

> Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/tiles/{tileMatrixSetId}":{"get":{"tags":["STAC Item"],"summary":"Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).","description":"Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).","operationId":".collections.{collection_id}.items.{item_id}.getTileSet","parameters":[{"name":"tileMatrixSetId","in":"path","required":true,"schema":{"enum":["CDB1GlobalGrid","CanadianNAD83_LCC","EuropeanETRS89_LAEAQuad","GNOSISGlobalGrid","LINZAntarticaMapTilegrid","NZTM2000Quad","UPSAntarcticWGS84Quad","UPSArcticWGS84Quad","UTM31WGS84Quad","WGS1984Quad","WebMercatorQuad","WorldCRS84Quad","WorldMercatorWGS84Quad"],"type":"string","description":"Identifier selecting one of the TileMatrixSetId supported.","title":"Tilematrixsetid"},"description":"Identifier selecting one of the TileMatrixSetId supported."},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileSet"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"TileSet":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"A title for this tileset"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile set"},"dataType":{"type":"string","enum":["map","vector","coverage"],"title":"Datatype","description":"Type of data represented in the tileset"},"crs":{"$ref":"#/components/schemas/CRS"},"tileMatrixSetURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Tilematrixseturi","description":"Reference to a Tile Matrix Set on an official source for Tile Matrix Sets"},"links":{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","title":"Links","description":"Links to related resources"},"tileMatrixSetLimits":{"anyOf":[{"items":{"$ref":"#/components/schemas/TileMatrixLimits"},"type":"array"},{"type":"null"}],"title":"Tilematrixsetlimits","description":"Limits for the TileRow and TileCol values for each TileMatrix in the tileMatrixSet. If missing, there are no limits other that the ones imposed by the TileMatrixSet. If present the TileMatrices listed are limited and the rest not available at all"},"epoch":{"anyOf":[{"type":"number"},{"type":"integer"},{"type":"null"}],"title":"Epoch","description":"Epoch of the Coordinate Reference System (CRS)"},"layers":{"anyOf":[{"items":{"$ref":"#/components/schemas/GeospatialData"},"type":"array","minItems":1},{"type":"null"}],"title":"Layers"},"boundingBox":{"anyOf":[{"$ref":"#/components/schemas/BoundingBox"},{"type":"null"}]},"centerPoint":{"anyOf":[{"$ref":"#/components/schemas/TilePoint"},{"type":"null"}]},"style":{"anyOf":[{"$ref":"#/components/schemas/Style"},{"type":"null"}]},"attribution":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Attribution","description":"Short reference to recognize the author or provider"},"license":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"License","description":"License applicable to the tiles"},"accessConstraints":{"anyOf":[{"type":"string","enum":["unclassified","restricted","confidential","secret","topSecret"]},{"type":"null"}],"title":"Accessconstraints","description":"Restrictions on the availability of the Tile Set that the user needs to be aware of before using or redistributing the Tile Set","default":"unclassified"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"keywords about this tileset"},"version":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version","description":"Version of the Tile Set. Changes if the data behind the tiles has been changed"},"created":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"updated":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"pointOfContact":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointofcontact","description":"Useful information to contact the authors or custodians for the Tile Set"},"mediaTypes":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Mediatypes","description":"Media types available for the tiles"}},"type":"object","required":["dataType","crs","links"],"title":"TileSet","description":"TileSet model.\n\nBased on https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tileSet.yaml"},"CRS":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/CRSUri"},{"$ref":"#/components/schemas/CRSWKT"},{"$ref":"#/components/schemas/CRSRef"}],"title":"CRS","description":"CRS model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-geodata/crs.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"CRSUri":{"properties":{"uri":{"type":"string","minLength":1,"format":"uri","title":"Uri","description":"Reference to one coordinate reference system (CRS) as URI","exemples":["http://www.opengis.net/def/crs/EPSG/0/3978","urn:ogc:def:crs:EPSG::2193"]}},"type":"object","required":["uri"],"title":"CRSUri","description":"Coordinate Reference System (CRS) from URI."},"CRSWKT":{"properties":{"wkt":{"additionalProperties":true,"type":"object","title":"Wkt","description":"An object defining the CRS using the JSON encoding for Well-known text representation of coordinate reference systems 2.0"}},"type":"object","required":["wkt"],"title":"CRSWKT","description":"Coordinate Reference System (CRS) from WKT encoded as PROJJSON Object."},"CRSRef":{"properties":{"referenceSystem":{"additionalProperties":true,"type":"object","title":"Referencesystem","description":"A reference system data structure as defined in the MD_ReferenceSystem of the ISO 19115"}},"type":"object","required":["referenceSystem"],"title":"CRSRef","description":"CRS from referenceSystem."},"titiler__core__models__OGC__Link":{"properties":{"href":{"type":"string","title":"Href","description":"Supplies the URI to a remote resource (or resource fragment)."},"rel":{"type":"string","title":"Rel","description":"The type or semantics of the relation."},"type":{"anyOf":[{"$ref":"#/components/schemas/MediaType"},{"type":"null"}],"description":"A hint indicating what the media type of the result of dereferencing the link should be."},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Templated","description":"This flag set to true if the link is a URL template."},"varBase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Varbase","description":"A base path to retrieve semantic information about the variables used in URL template."},"hreflang":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hreflang","description":"A hint indicating what the language of the result of dereferencing the link should be."},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Used to label the destination of a link such that it can be used as a human-readable identifier."},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Length"}},"type":"object","required":["href","rel"],"title":"Link","description":"Link model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-core/link.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"MediaType":{"type":"string","enum":["image/tiff; application=geotiff","image/jp2","image/png","image/png","image/jpeg","image/jpg","image/webp","application/x-binary","application/xml","application/json","application/geo+json","text/html","text/plain","application/x-protobuf","application/vnd.mapbox-vector-tile","application/ndjson","application/geo+json-seq","application/schema+json","text/csv","application/vnd.oai.openapi+json;version=3.0","application/vnd.oai.openapi;version=3.0","image/gif"],"title":"MediaType","description":"Responses Media types formerly known as MIME types."},"TileMatrixLimits":{"properties":{"tileMatrix":{"type":"string","title":"Tilematrix"},"minTileRow":{"type":"integer","minimum":0,"title":"Mintilerow"},"maxTileRow":{"type":"integer","minimum":0,"title":"Maxtilerow"},"minTileCol":{"type":"integer","minimum":0,"title":"Mintilecol"},"maxTileCol":{"type":"integer","minimum":0,"title":"Maxtilecol"}},"type":"object","required":["tileMatrix","minTileRow","maxTileRow","minTileCol","maxTileCol"],"title":"TileMatrixLimits","description":"The limits for an individual tile matrix of a TileSet's TileMatrixSet, as defined in the OGC 2D TileMatrixSet and TileSet Metadata Standard\n\nBased on https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tileMatrixLimits.yaml"},"GeospatialData":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Title of this tile matrix set, normally used for display to a human"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile matrix set, normally available for display to a human"},"keywords":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Keywords","description":"Unordered list of one or more commonly used or formalized word(s) or phrase(s) used to describe this layer"},"id":{"type":"string","title":"Id","description":"Unique identifier of the Layer. Implementation of 'identifier'"},"dataType":{"type":"string","enum":["map","vector","coverage"],"title":"Datatype","description":"Type of data represented in the tileset"},"geometryDimension":{"anyOf":[{"type":"integer","maximum":3,"minimum":0},{"type":"null"}],"title":"Geometrydimension","description":"The geometry dimension of the features shown in this layer (0: points, 1: curves, 2: surfaces, 3: solids), unspecified: mixed or unknown"},"featureType":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Featuretype","description":"Feature type identifier. Only applicable to layers of datatype 'geometries'"},"attribution":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Attribution","description":"Short reference to recognize the author or provider"},"license":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"License","description":"License applicable to the tiles"},"pointOfContact":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointofcontact","description":"Useful information to contact the authors or custodians for the layer (e.g. e-mail address, a physical address,  phone numbers, etc)"},"publisher":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Publisher","description":"Organization or individual responsible for making the layer available"},"theme":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Theme","description":"Category where the layer can be grouped"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"epoch":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Epoch","description":"Epoch of the Coordinate Reference System (CRS)"},"minScaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minscaledenominator","description":"Minimum scale denominator for usage of the layer"},"maxScaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maxscaledenominator","description":"Maximum scale denominator for usage of the layer"},"minCellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Mincellsize","description":"Minimum cell size for usage of the layer"},"maxCellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maxcellsize","description":"Maximum cell size for usage of the layer"},"maxTileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Maxtilematrix","description":"TileMatrix identifier associated with the minScaleDenominator"},"minTileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mintilematrix","description":"TileMatrix identifier associated with the maxScaleDenominator"},"boundingBox":{"anyOf":[{"$ref":"#/components/schemas/BoundingBox"},{"type":"null"}]},"created":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"updated":{"anyOf":[{"$ref":"#/components/schemas/TimeStamp"},{"type":"null"}]},"style":{"anyOf":[{"$ref":"#/components/schemas/Style"},{"type":"null"}]},"geoDataClasses":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Geodataclasses","description":"URI identifying a class of data contained in this layer (useful to determine compatibility with styles or processes)"},"propertiesSchema":{"anyOf":[{"$ref":"#/components/schemas/PropertiesSchema"},{"type":"null"}]},"links":{"anyOf":[{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","minItems":1},{"type":"null"}],"title":"Links","description":"Links related to this layer. Possible link 'rel' values are: 'geodata' for a URL pointing to the collection of geospatial data."}},"type":"object","required":["id","dataType"],"title":"GeospatialData","description":"Geospatial model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/geospatialData.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"BoundingBox":{"properties":{"lowerLeft":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Lowerleft","description":"A 2D Point in the CRS indicated elsewhere"},"upperRight":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Upperright","description":"A 2D Point in the CRS indicated elsewhere"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"orderedAxes":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":2,"minItems":2},{"type":"null"}],"title":"Orderedaxes"}},"type":"object","required":["lowerLeft","upperRight"],"title":"BoundingBox","description":"BoundingBox model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/2DBoundingBox.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"TimeStamp":{"type":"string","format":"date-time","title":"TimeStamp","description":"This property indicates the time and date when the response was generated using RFC 3339 notation."},"Style":{"properties":{"id":{"type":"string","title":"Id","description":"An identifier for this style. Implementation of 'identifier'"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"A title for this style"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this style"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"keywords about this style"},"links":{"anyOf":[{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","minItems":1},{"type":"null"}],"title":"Links","description":"Links to style related resources. Possible link 'rel' values are: 'style' for a URL pointing to the style description, 'styleSpec' for a URL pointing to the specification or standard used to define the style."}},"type":"object","required":["id"],"title":"Style","description":"Style model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/style.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"PropertiesSchema":{"properties":{"type":{"type":"string","const":"object","title":"Type"},"required":{"anyOf":[{"items":{"type":"string"},"type":"array","minItems":1},{"type":"null"}],"title":"Required","description":"Implements 'multiplicity' by citing property 'name' defined as 'additionalProperties'"},"properties":{"additionalProperties":{"$ref":"#/components/schemas/Properties"},"type":"object","title":"Properties"}},"type":"object","required":["type","properties"],"title":"PropertiesSchema","description":"PropertiesSchema model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/propertiesSchema.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"Properties":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Implements 'description'"},"type":{"anyOf":[{"type":"string","enum":["array","boolean","integer","null","number","object","string"]},{"type":"null"}],"title":"Type"},"enum":{"anyOf":[{"items":{},"type":"array","minItems":1,"uniqueItems":true},{"type":"null"}],"title":"Enum","description":"Implements 'acceptedValues'"},"format":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Format","description":"Complements implementation of 'type'"},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Contentmediatype","description":"Implements 'mediaType'"},"maximum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Maximum","description":"Implements 'range'"},"exclusiveMaximum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Exclusivemaximum","description":"Implements 'range'"},"minimum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minimum","description":"Implements 'range'"},"exclusiveMinimum":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Exclusiveminimum","description":"Implements 'range'"},"pattern":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pattern"},"maxItems":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"title":"Maxitems","description":"Implements 'upperMultiplicity'"},"minItems":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"title":"Minitems","description":"Implements 'lowerMultiplicity'","default":0},"observedProperty":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Observedproperty"},"observedPropertyURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Observedpropertyuri"},"uom":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Uom"},"uomURI":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Uomuri"}},"type":"object","title":"Properties","description":"Properties model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/propertiesSchema.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"TilePoint":{"properties":{"coordinates":{"items":{"type":"number"},"type":"array","maxItems":2,"minItems":2,"title":"Coordinates"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"title":"CRS"},"tileMatrix":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tilematrix","description":"TileMatrix identifier associated with the scaleDenominator"},"scaleDenominator":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Scaledenominator","description":"Scale denominator of the tile matrix selected"},"cellSize":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Cellsize","description":"Cell size of the tile matrix selected"}},"type":"object","required":["coordinates","crs"],"title":"TilePoint","description":"TilePoint model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/tms/tilePoint.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Tile

> Create map tile from a dataset.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/collections/{collection_id}/items/{item_id}/tiles/{tileMatrixSetId}/{z}/{x}/{y}@{scale}x.{format}":{"get":{"tags":["STAC Item"],"summary":"Tile","description":"Create map tile from a dataset.","operationId":".collections.{collection_id}.items.{item_id}.getTileWithFormatAndScale","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","description":"Identifier (Z) selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile.","title":"Z"},"description":"Identifier (Z) selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile."},{"name":"x","in":"path","required":true,"schema":{"type":"integer","description":"Column (X) index of the tile on the selected TileMatrix. It cannot exceed the MatrixHeight-1 for the selected TileMatrix.","title":"X"},"description":"Column (X) index of the tile on the selected TileMatrix. It cannot exceed the MatrixHeight-1 for the selected TileMatrix."},{"name":"y","in":"path","required":true,"schema":{"type":"integer","description":"Row (Y) index of the tile on the selected TileMatrix. It cannot exceed the MatrixWidth-1 for the selected TileMatrix.","title":"Y"},"description":"Row (Y) index of the tile on the selected TileMatrix. It cannot exceed the MatrixWidth-1 for the selected TileMatrix."},{"name":"tileMatrixSetId","in":"path","required":true,"schema":{"enum":["CDB1GlobalGrid","CanadianNAD83_LCC","EuropeanETRS89_LAEAQuad","GNOSISGlobalGrid","LINZAntarticaMapTilegrid","NZTM2000Quad","UPSAntarcticWGS84Quad","UPSArcticWGS84Quad","UTM31WGS84Quad","WGS1984Quad","WebMercatorQuad","WorldCRS84Quad","WorldMercatorWGS84Quad"],"type":"string","description":"Identifier selecting one of the TileMatrixSetId supported.","title":"Tilematrixsetid"},"description":"Identifier selecting one of the TileMatrixSetId supported."},{"name":"scale","in":"path","required":true,"schema":{"type":"integer","maximum":4,"exclusiveMinimum":0,"description":"Tile size scale. 1=256x256, 2=512x512...","title":"Scale"}},{"name":"format","in":"path","required":true,"schema":{"$ref":"#/components/schemas/ImageType","description":"Default will be automatically defined if the output image needs a mask (png) or not (jpeg)."}},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Collection Identifier","title":"Collection Id"},"description":"STAC Collection Identifier"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"STAC Item Identifier","title":"Item Id"},"description":"STAC Item Identifier"},{"name":"buffer","in":"query","required":false,"schema":{"anyOf":[{"type":"number","exclusiveMinimum":0},{"type":"null"}],"title":"Tile buffer.","description":"Buffer on each side of the given tile. It must be a multiple of `0.5`. Output **tilesize** will be expanded to `tilesize + 2 * buffer` (e.g 0.5 = 257x257, 1.0 = 258x258)."},"description":"Buffer on each side of the given tile. It must be a multiple of `0.5`. Output **tilesize** will be expanded to `tilesize + 2 * buffer` (e.g 0.5 = 257x257, 1.0 = 258x258)."},{"name":"padding","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"title":"Tile padding.","description":"Padding to apply to each tile edge. Helps reduce resampling artefacts along edges. Defaults to `0`."},"description":"Padding to apply to each tile edge. Helps reduce resampling artefacts along edges. Defaults to `0`."},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes"},{"name":"assets","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Asset names","description":"Asset's names."},"description":"Asset's names."},{"name":"expression","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Band Math expression","description":"Band math expression between assets"},"description":"Band math expression between assets"},{"name":"asset_bidx","in"
[...]
